﻿@using System.Security.Claims
@{
    string email = ViewBag.Email;
    string name = ViewBag.ClientName;
    string encryptedGuid = await User.FindFirst("ClientLoginGuid")?.Value.EncryptAsync();
    bool ProfileCompleted = ViewBag.ProfileCompleted;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    string preTitle = role == Roles.Client ? "My" : "Client";
}
<div id="kt_quick_user" class="offcanvas offcanvas-right p-10">
    <div class="offcanvas-header d-flex align-items-center justify-content-between pb-5">
        <h3 class="font-weight-bold m-0 text-primary">
            Client Profile
        </h3>
        <a href="javascript:" class="btn btn-xs btn-icon btn-light btn-hover-primary" id="kt_quick_user_close">
            <i class="ki ki-close icon-xs text-muted"></i>
        </a>
    </div>
    <div class="offcanvas-content pr-5 mr-n5">
        <div class="d-flex align-items-center mt-5 mb-2">
            <div class="symbol symbol-100 mr-5">
                <div class="symbol-label" style="background-image: url('images/blank.png')" id="adviser_profile_avatar"></div>
            </div>
            <div class="d-flex flex-column">
                <a href="javascript:" class="font-weight-bold font-size-h5 text-dark-75 text-hover-primary client_fullname">
                    @name
                </a>
                <div class="navi mt-2">
                    <a href="javascript:" class="navi-item">
                        <span class="navi-link p-0 pb-2">
                            <span class="navi-icon mr-1">
                                <span class="svg-icon svg-icon-lg svg-icon-primary">
                                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                            <rect x="0" y="0" width="24" height="24" />
                                            <path d="M5,6 L19,6 C20.1045695,6 21,6.8954305 21,8 L21,17 C21,18.1045695 20.1045695,19 19,19 L5,19 C3.8954305,19 3,18.1045695 3,17 L3,8 C3,6.8954305 3.8954305,6 5,6 Z M18.1444251,7.83964668 L12,11.1481833 L5.85557487,7.83964668 C5.4908718,7.6432681 5.03602525,7.77972206 4.83964668,8.14442513 C4.6432681,8.5091282 4.77972206,8.96397475 5.14442513,9.16035332 L11.6444251,12.6603533 C11.8664074,12.7798822 12.1335926,12.7798822 12.3555749,12.6603533 L18.8555749,9.16035332 C19.2202779,8.96397475 19.3567319,8.5091282 19.1603533,8.14442513 C18.9639747,7.77972206 18.5091282,7.6432681 18.1444251,7.83964668 Z" fill="#000000" />
                                        </g>
                                    </svg>
                                </span>
                            </span>
                            <span class="navi-text text-muted text-hover-primary" id="right_panel_email">@email</span>
                        </span>
                    </a>
                    <a href="Account/logout" class="btn btn-sm btn-light-danger font-weight-bolder py-2 px-5" id="btn-sign-out">Sign Out <i class="icon-nm fas fa-sign-out-alt ml-1"></i></a>
                </div>
            </div>
        </div>
        <div class="separator separator-solid mt-3 mb-0"></div>
        <div class="navi navi-spacer-x-0 p-0">
            <a href="adviser-info" class="navi-item">
                <div class="navi-link">
                    <div class="symbol symbol-40 bg-light mr-3">
                        <div class="symbol-label">
                            <i class="icon-xl fas fa-info-circle text-info"></i>
                        </div>
                    </div>
                    <div class="navi-text">
                        <div class="font-weight-bold">
                            Adviser Details
                        </div>
                        <div class="text-muted">
                            Click here to view details
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="separator separator-solid mt-0 mb-0"></div>
        <div class="navi navi-spacer-x-0 p-0">
            <a href="arc-hive" class="navi-item">
                <div class="navi-link">
                    <div class="symbol symbol-40 bg-light mr-3">
                        <div class="symbol-label">
                            <img class="h-25px w-25px rounded-sm" src="~/images/ArcHive_Safe-regular.png" alt="">
                        </div>
                    </div>
                    <div class="navi-text">
                        <div class="font-weight-bold">
                            @preTitle ArcHive
                        </div>
                        <div class="text-muted">
                            Manage documents here
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="separator separator-solid mt-0 mb-0"></div>
        <div class="navi navi-spacer-x-0 p-0">
            <a href="welcome" class="navi-item">
                <div class="navi-link">
                    <div class="symbol symbol-40 bg-light mr-3">
                        <div class="symbol-label">
                            <i class="icon-xl fas fa-cubes text-warning"></i>
                        </div>
                    </div>
                    <div class="navi-text">
                        <div class="font-weight-bold">
                            Welcome Menu
                        </div>
                        <div class="text-muted">
                            Check out our Products
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="separator separator-solid mt-0 mb-0"></div>
        <div class="navi navi-spacer-x-0 p-0">
            <a href="settings" class="navi-item">
                <div class="navi-link">
                    <div class="symbol symbol-40 bg-light mr-3">
                        <div class="symbol-label">
                            <i class="icon-xl fas fa-cog text-primary"></i>
                        </div>
                    </div>
                    <div class="navi-text">
                        <div class="font-weight-bold">
                            Settings
                        </div>
                        <div class="text-muted">
                            Manage your internal settings
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="separator separator-solid mt-0 mb-0"></div>
        <div class="navi navi-spacer-x-0 p-0">
            <a href="javascript:" class="navi-item" target="_blank" onclick="openActivityLog('@encryptedGuid')">
                <div class="navi-link">
                    <div class="symbol symbol-40 bg-light mr-3">
                        <div class="symbol-label">
                            <img class="h-25px w-25px rounded-sm" src="~/images/client-activity-log.png" alt="">
                        </div>
                    </div>
                    <div class="navi-text">
                        <div class="font-weight-bold">
                            Activity Log
                        </div>
                        <div class="text-muted">
                            Monitor Survey Changes
                        </div>
                    </div>
                </div>
            </a>
        </div>
        <div class="separator separator-solid mt-0 mb-0"></div>
    </div>
</div>
<script>
    function openActivityLog(token) {
        var tz = new Date().getTimezoneOffset();
        window.open(`/activity-log?token=${token}&tz=${tz}`, '_blank');
    }
</script>